NOPASTE-IT(1)

NAME
nopaste-it - Nopaste software written in Perl (cli tool).

SYNOPSIS
nopaste-it

DESCRIPTION
This manual page describes briefly the nopaste-it commandline parameters.

BINARY PARAMETERS
This program follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below.

-h, --help
    Display this help and exit.

-v, --version
    Display version and exit.

-q, --quite
    Be more quite. Only print URL of post.

-u, --url <url>
    Use a different nopaste URL than http://nopaste.linux-dev.org/.

-n, --name
    Use a different author name than your UNIX username (if it is set).

-l, --language <language>
    Set the given code language. Popular ones are for example: "C", "C++", "Diff", "Perl", "Ruby", etc. You can get the list of supported languages by using the "-s / --list" option of this program. It will be plain unless nothing different is set. Note: This is case sensitive.

-e, --expires <expire>
    Set the expire option. At the moment it only accepts: "1d", "1w" and "never". The default value is "1w".

-f, --file <filename>
    Add the content of the given file to your paste instead of reading from STDIN.

-s, --list
    Gets supported code languages from remote pnopaste and prints them. This option could also be mixed with "url".

AUTHOR
This manual page was written by Patrick Matthäi <patrick@linux-dev.org> for nopaste-it. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation